# date4/format/locale/en_JP.rb: Written by Tadayoshi Funaba 2006
# $Id: en_JP.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      EN_JP = self.new(
{
   'id' => 'en_JP',
   'style' => 'jp',

   'monthnames' => [nil]  + %w(January February March April May June
			July August September October November December),

   'daynames' => %w(Sunday Monday Tuesday Wednesday
			Thursday Friday Saturday),

   'abbr_monthnames' => [nil] + %w(Jan Feb Mar Apr May Jun
				Jul Aug Sep Oct Nov Dec),

   'abbr_daynames' => %w(Sun Mon Tue Wed Thu Fri Sat),

   'ampmname' => %w(AM PM),

   'months' => {
     'january'  => 1, 'february' => 2, 'march'    => 3, 'april'    => 4,
     'may'      => 5, 'june'     => 6, 'july'     => 7, 'august'   => 8,
     'september'=> 9, 'october'  =>10, 'november' =>11, 'december' =>12
   },

   'days' => {
     'sunday'   => 0, 'monday'   => 1, 'tuesday'  => 2, 'wednesday'=> 3,
     'thursday' => 4, 'friday'   => 5, 'saturday' => 6
   },

   'abbr_months' => {
     'jan'      => 1, 'feb'      => 2, 'mar'      => 3, 'apr'      => 4,
     'may'      => 5, 'jun'      => 6, 'jul'      => 7, 'aug'      => 8,
     'sep'      => 9, 'oct'      =>10, 'nov'      =>11, 'dec'      =>12
   },

   'abbr_days' => {
     'sun'      => 0, 'mon'      => 1, 'tue'      => 2, 'wed'      => 3,
     'thu'      => 4, 'fri'      => 5, 'sat'      => 6
   },

   'ampm' => {'am' => 0, 'pm' => 12},

   'x_fmt'    => '%y/%m/%d',
   'X_fmt'    => '%H:%M:%S',
   'r_fmt'    => '%I:%M:%S %p',
   'c_fmt'    => '%Y/%m/%d %H:%M:%S (%a)',
   'date_fmt' => '%Y/%m/%d %H:%M:%S %Z (%a)'
 })

    end

  end

end
