# date4/format/locale/ja_JP.SJIS.rb: Written by Tadayoshi Funaba 2006
# $Id: ja_JP.SJIS.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      JA_JP_SJIS = self.new(
{
   'id' => 'ja_JP.SJIS',
   'style' => 'jp',

   'monthnames' => [nil] + %w(r @ 퐶 K H 
			 t  _  t),

   'daynames' => %w(j j Ηj j ؗj j yj),

   'abbr_monthnames' => [nil] + %w(r @ 퐶 K H 
			 t  _  t),

   'abbr_daynames' => %w(      y),

   'ampmname' => %w(ߑO ߌ),

   'months' => {
     'r'     => 1, '@'     => 2, '퐶'     => 3, 'K'     => 4,
     'H'     => 5, ''   => 6, ''     => 7, 't'     => 8,
     ''     => 9, '_'   =>10, ''     =>11, 't'     =>12
   },

   'days' => {
     'j'   => 0, 'j'   => 1, 'Ηj'   => 2, 'j'   => 3,
     'ؗj'   => 4, 'j'   => 5, 'yj'   => 6
   },

   'abbr_months' => {
     'r'     => 1, '@'     => 2, '퐶'     => 3, 'K'     => 4,
     'H'     => 5, ''   => 6, ''     => 7, 't'     => 8,
     ''     => 9, '_'   =>10, ''     =>11, 't'     =>12
   },

   'abbr_days' => {
     ''       => 0, ''       => 1, ''       => 2, ''       => 3,
     ''       => 4, ''       => 5, 'y'       => 6
   },

   'ampm' => {'ߑO' => 0, 'ߌ' => 12},

   'x_fmt'    => '%yN%m%d',
   'X_fmt'    => '%H%M%Sb',
   'r_fmt'    => '%p%I%M%Sb',
   'c_fmt'    => '%YN%m%d(%a) %H%M%Sb',
   'date_fmt' => '%YN%m%d(%a) %H%M%Sb %Z'
 })

    end

  end

end
