# date4/format/locale/ja_JP.eucJP.rb: Written by Tadayoshi Funaba 2006
# $Id: ja_JP.eucJP.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      JA_JP_eucJP = self.new(
{
   'id' => 'ja_JP.eucJP',
   'style' => 'jp',

   'monthnames' => [nil] + %w(ӷ ǡ    ̵
			ʸ շ Ĺ ̵  ),

   'daynames' => %w(      ),

   'abbr_monthnames' => [nil] + %w(ӷ ǡ    ̵
			ʸ շ Ĺ ̵  ),

   'abbr_daynames' => %w(      ),

   'ampmname' => %w( ),

   'months' => {
     'ӷ'     => 1, 'ǡ'     => 2, ''     => 3, ''     => 4,
     ''     => 5, '̵'   => 6, 'ʸ'     => 7, 'շ'     => 8,
     'Ĺ'     => 9, '̵'   =>10, ''     =>11, ''     =>12
   },

   'days' => {
     ''   => 0, ''   => 1, ''   => 2, ''   => 3,
     ''   => 4, ''   => 5, ''   => 6
   },

   'abbr_months' => {
     'ӷ'     => 1, 'ǡ'     => 2, ''     => 3, ''     => 4,
     ''     => 5, '̵'   => 6, 'ʸ'     => 7, 'շ'     => 8,
     'Ĺ'     => 9, '̵'   =>10, ''     =>11, ''     =>12
   },

   'abbr_days' => {
     ''       => 0, ''       => 1, ''       => 2, ''       => 3,
     ''       => 4, ''       => 5, ''       => 6
   },

   'ampm' => {'' => 0, '' => 12},

   'x_fmt'    => '%yǯ%m%d',
   'X_fmt'    => '%H%Mʬ%S',
   'r_fmt'    => '%p%I%Mʬ%S',
   'c_fmt'    => '%Yǯ%m%d(%a) %H%Mʬ%S',
   'date_fmt' => '%Yǯ%m%d(%a) %H%Mʬ%S %Z'
 })

    end

  end

end
