# date4/format/locale/de_DE.rb: Written by Tadayoshi Funaba 2006
# $Id: de_DE.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      DE_DE = self.new(
{
   'id' => 'de_DE',
   'style' => 'eu',

   'monthnames' => [nil]  + %W(Januar Februar M\344rz April Mai Juni
			Juli August September Oktober November Dezember),

   'daynames' => %w(Sonntag Montag Dienstag Mittwoch
			Donnerstag Freitag Samstag),

   'abbr_monthnames' => [nil] + %W(Jan Feb M\344r Apr Mai Jun
				Jul Aug Sep Okt Nov Dez),

   'abbr_daynames' => %w(So Mo Di Mi Do Fr Sa),

   'ampmname' => %w(am pm),

   'months' => {
     'januar'   => 1, 'februar'  => 2, "m\344rz"  => 3, 'april'    => 4,
     'mai'      => 5, 'juni'     => 6, 'juli'     => 7, 'august'   => 8,
     'september'=> 9, 'oktober'  =>10, 'november' =>11, 'dezember' =>12
   },

   'days' => {
     'sonntag'  => 0, 'montag'   => 1, 'dienstag' => 2, 'mittwoch' => 3,
     'donnerstag'=> 4, 'freitag'  => 5, 'samstag'  => 6
   },

   'abbr_months' => {
     'jan'      => 1, 'feb'      => 2, "m\344r"   => 3, 'apr'      => 4,
     'mai'      => 5, 'jun'      => 6, 'jul'      => 7, 'aug'      => 8,
     'sep'      => 9, 'okt'      =>10, 'nov'      =>11, 'dez'      =>12
   },

   'abbr_days' => {
     'so'       => 0, 'mo'       => 1, 'di'       => 2, 'mi'       => 3,
     'do'       => 4, 'fr'       => 5, 'sa'       => 6
   },

   'ampm' => {'am' => 0, 'pm' => 12},

   'x_fmt'    => '%d/%m/%y',
   'X_fmt'    => '%H:%M:%S',
   'r_fmt'    => '%I:%M:%S %p',
   'c_fmt'    => '%a %e %b %H:%M:%S %Y',
   'date_fmt' => '%a %e %b %H:%M:%S %Z %Y'
 })

    end

  end

end
