# date4/format/locale/fr_FR.rb: Written by Tadayoshi Funaba 2006
# $Id: fr_FR.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      FR_FR = self.new(
{
   'id' => 'fr_FR',
   'style' => 'eu',

   'monthnames' => [nil]  + %W(janvier f\351vrier mars avril mai juin
			juillet ao\373t septembre octobre novembre d\351cembre),

   'daynames' => %w(dimanche lundi mardi mercredi
			jeudi vendredi samedi),

   'abbr_monthnames' => [nil] + %W(jan f\351v mar avr mai jui
				jul ao\373 sep oct nov d\351c),

   'abbr_daynames' => %w(dim lun mar mer jeu ven sam),

   'ampmname' => ['', ''],

   'months' => {
     'janvier'  => 1, "f\351vrier"=> 2, 'mars'     => 3, 'avril'    => 4,
     'mai'      => 5, 'juin'     => 6, 'juillet'  => 7, "ao\373t"  => 8,
     'septembre'=> 9, 'octobre'  =>10, 'novembre' =>11, "d\351cembre"=>12
   },

   'days' => {
     'dimanche' => 0, 'lundi'    => 1, 'mardi'    => 2, 'mercredi' => 3,
     'jeudi'    => 4, 'vendredi' => 5, 'samedi'   => 6
   },

   'abbr_months' => {
     'jan'      => 1, "f\351v"   => 2, 'mar'      => 3, 'avr'      => 4,
     'mai'      => 5, 'jui'      => 6, 'jul'      => 7, "ao\373"   => 8,
     'sep'      => 9, 'oct'      =>10, 'nov'      =>11, "d\351c"   =>12
   },

   'abbr_days' => {
     'dim'      => 0, 'lun'      => 1, 'mar'      => 2, 'mer'      => 3,
     'jeu'      => 4, 'ven'      => 5, 'sam'      => 6
   },

   'ampm' => {'' => 0},

   'x_fmt'    => '%d/%m/%y',
   'X_fmt'    => '%H:%M:%S',
   'r_fmt'    => '',
   'c_fmt'    => '%a %e %b %H:%M:%S %Y',
   'date_fmt' => '%a %e %b %H:%M:%S %Z %Y'
 })

    end

  end

end
