# date4/format/locale/it_IT.rb: Written by Tadayoshi Funaba 2006
# $Id: it_IT.rb,v 1.1 2006-06-04 12:07:12+09 tadf Exp $

class Date4

  module Format

    class Locale

      IT_IT = self.new(
{
   'id' => 'it_IT',
   'style' => 'eu',

   'monthnames' => [nil]  + %w(Gennaio Febbraio Marzo Aprile Maggio Giugno
			Luglio Agosto Settembre Ottobre Novembre Dicembre),

   'daynames' => %W(Domenica Luned\354 Marted\354 Mercoled\354
			Gioved\354 Venerd\354 Sabato),

   'abbr_monthnames' => [nil] + %w(Gen Feb Mar Apr Mag Giu
				Lug Ago Set Ott Nov Dic),

   'abbr_daynames' => %w(Dom Lun Mar Mer Gio Ven Sab),

   'ampmname' => %w(am pm),

   'months' => {
     'gennaio'  => 1, 'febbraio' => 2, 'marzo'    => 3, 'aprile'   => 4,
     'maggio'   => 5, 'giugno'   => 6, 'luglio'   => 7, 'agosto'   => 8,
     'settembre'=> 9, 'ottobre'  =>10, 'novembre' =>11, 'dicembre' =>12
   },

   'days' => {
     'domenica' => 0, "luned\354"=> 1, "marted\354"=> 2, "mercoled\354"=> 3,
     "gioved\354"=> 4, "venerd\354"=> 5, 'sabato'   => 6
   },

   'abbr_months' => {
     'gen'      => 1, 'feb'      => 2, 'mar'      => 3, 'apr'      => 4,
     'mag'      => 5, 'giu'      => 6, 'lug'      => 7, 'ago'      => 8,
     'set'      => 9, 'ott'      =>10, 'nov'      =>11, 'dic'      =>12
   },

   'abbr_days' => {
     'dom'      => 0, 'lun'      => 1, 'mar'      => 2, 'mer'      => 3,
     'gio'      => 4, 'ven'      => 5, 'sab'      => 6
   },

   'ampm' => {'am' => 0, 'pm' => 12},

   'x_fmt'    => '%d/%m/%y',
   'X_fmt'    => '%H:%M:%S',
   'r_fmt'    => '%I:%M:%S %p',
   'c_fmt'    => '%a %e %b %H:%M:%S %Y',
   'date_fmt' => '%a %e %b %H:%M:%S %Z %Y'
 })

    end

  end

end
